package com.bocloud.cmp.provider.hmc;

import com.bocloud.cmp.model.hmc.HmdJobResponseModel;
import com.bocloud.cmp.model.hmc.HmdPartitionModel;
import com.bocloud.cmp.model.hmc.HmdPartitionPowerOnModel;
import com.bocloud.cmp.provider.SuperProvider;

import java.util.List;

public interface LogicalPartitionProvider extends SuperProvider {
    List<HmdPartitionModel> list();

    List<HmdPartitionModel> list(String serverUuid);

    HmdPartitionModel create(HmdPartitionModel partition);

    HmdPartitionModel modify(HmdPartitionModel partition);

    void remove(String partitionUuid);

    HmdJobResponseModel powerOn(String partitionUuid, HmdPartitionPowerOnModel params);
}
